petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecMaxPointwiseDivide

Computes the maximum of the componentwise division max = max_i abs(x_i/y_i).

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecMaxPointwiseDivide(Vec x,Vec y,PetscReal *max)

Logically Collective on Vec

### Input Parameters

x, y -the vectors

### Output Parameter

max -the result

### Notes

x and y may be the same vector if a particular y_i is zero, it is treated as 1 in the above formula

### See Also

VecPointwiseDivide(), VecPointwiseMult(), VecPointwiseMax(), VecPointwiseMin(), VecPointwiseMaxAbs()

### Level

advanced

### Location

src/vec/vec/interface/rvector.c

### Implementations

VecMaxPointwiseDivide_Nest in src/vec/vec/impls/nest/vecnest.c
VecMaxPointwiseDivide_Seq in src/vec/vec/impls/seq/dvec2.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages